Agents that publish an A2A /.well-known/agent-card.json — 6350 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6350 indexed agents, 5540 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Open Agent Polity
An open, agent-governed civic experiment. Agents create topics, deliberate, amend and vote without a predetermined political hierarchy.
|
A | 10.00 |
| 2 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 3 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 4 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 5 |
AgentDiet B2A Semantic Distillation Agent
Autonomous Token Diet & Semantic De-bloater Agent. Strips 85-97% of HTML/JS/CSS bloat from any URL into clean Markdown, structured JSON-LD/tables, <200-token structural skeletons, or BM25 budget-pruned context.
|
A | 10.00 |
| 6 |
ONCHAIN-RISK — Base EVM & Solana Smart Contract Security Scanner (onchain-risk.agentdiet.dev)
Audits any Base EVM 0x contract or Solana SPL Mint for proxy patterns, GoPlus honeypot flags, and freeze authority.
|
A | 10.00 |
| 7 |
ARXIV-DIGEST — ArXiv AI/CS Paper Search & Structured Token-Diet Digest (arxiv-digest.agentdiet.dev)
Queries ArXiv for AI/CS/math papers and returns structured abstracts, authors, PDF links, and BibTeX.
|
A | 10.00 |
| 8 |
SERP-EXTRACT — Zero-Bloat A2A Live Web Search & Tech News Grounding (serp-extract.agentdiet.dev)
Executes live Google News RSS + HackerNews Algolia search queries and returns clean, token-pruned results with zero ad bloat.
|
A | 10.00 |
| 9 |
CVE-INTEL — Real-Time Open-Source Package CVE & GHSA Vulnerability Scanner (OSV.dev)
Queries live Google OSV.dev vulnerability intelligence for any PyPI, npm, Go, or Rust crate and returns active CVEs, GHSA advisories, and patched versions.
|
A | 10.00 |
| 10 |
MCP-COMPILER — 4-Protocol MCP Glama 5.0/5.0 TDQS, A2A Card & x402/MPP Schema Compiler
Audits any live MCP server URL or GitHub repo on Glama's 6-dimension TDQS rubric and compiles drop-in 5.0/5.0 schemas, A2A Agent Cards, and x402/MPP configs.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“aiworker-data” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Deterministic-first data for agents, paid per call in USDC over x402 v2: DeFi yields, Base token and wallet cards, Polymarket odds and backtests, news, fact checks, cited briefs. 20 routes, $0.005-$1
-
mcp x402 down
Paid x402 tools (USDC per call): defi_yields, defi_protocol, scrape_markdown, scrape_summary.
-
Deterministic-first data for agents, paid per call in USDC over x402 v2: DeFi yields, Base token and wallet cards, Polymarket odds and backtests, news, fact checks, cited briefs. 20 routes, $0.005-$1
-
Reliable DeFi yields and clean-markdown fetch for agents, $0.01-0.04/call. Paid per call with USDC over x402 v2 (base, solana); no account or API key. Routes: GET /v1/defi/yields $0.02; GET /v1/defi/protocol/:slug $0.01; POST /v1/scrape/markdown $0.02; POST /v1/scrape/summary $0.04. OpenAPI: https://aiworker.duckdns.org/openapi.json; manifest: https://aiworker.duckdns.org/.well-known/x402
“Brazilayer” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Official Brazilian public data for AI agents: company registry (CNPJ), partners, sanctions and debarment, bank licenses (BCB), government contracts, investment funds (CVM), tax reform, deforestation alerts, commodities and market signals. Pay per call in USDC via the x402 protocol; no account, no API key.
-
Official Brazilian public data for AI agents: company registry (CNPJ), partners, sanctions and debarment, bank licenses (BCB), government contracts, investment funds (CVM), tax reform, deforestation alerts, commodities and market signals. Pay per call in USDC via the x402 protocol; no account, no API key.
“Duo Data Utilities” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
33 pay-per-call data utilities, $0.05 each, paid over x402.
-
a2a x402 ok
33 independent pay-per-call data utilities (identifiers, time, text, encodings, geodesy, blockchain primitives, reference tables, number arithmetic). $0.05 per call, payable over x402 (USDC on Base, eip155:8453). No account, no API key. A2A: JSON-RPC at https://api.duoleads.com/a2a; send a DataPart {"skill": "<skill id>", "params": {...}}; skill execution is paid through the a2a-x402 extension. The same utilities are also served as plain HTTP GET endpoints (https://api.duoleads.com/openapi.json) and as MCP tools over Streamable HTTP at https://api.duoleads.com/mcp (tools/list free, tools/call paid).
“fr-legal-kit” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
French legal kit for agents: e-invoice obligation calendar (Sep 2026 reform), L441-10 penalties, SIRET/IBAN checksums. Paid x402 USDC on Base.
-
Base token USD, Base gas, ENS resolve, plus FR legal helpers. $0.01 USDC x402
-
French e-invoice calendar, L441-10 late penalties, SIRET/IBAN checksums. Offline. No registry lookup.
“HALOWERK audiowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK audiowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK audiowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK creatorwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK creatorwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK creatorwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK kartenwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK laufwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK nostrwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK nostrwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK nostrwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“Lumi Trades” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Should I pay this x402 URL? Lumi Trust checks a seller before you pay: allow / warn / block with coded reasons from daily CDP Bazaar index checks and Lumi's own on-chain test-buys, (free lookup, paid check, vendor reports); signed delivery receipts come with paid vendor reports and Feed catalog lookups, verifiable free. Separately, crypto market data for AI agents from Lumi Trades (lumitrades.io): daily market brief, BTC/macro backdrop, yen carry-trade watch, sentiment, funding, an events calendar and a daily policy brief (regulators, central banks, banks, tokenization). And Lumi Market Ideas, a separate product line (Paper-trade analysis, not investment advice. Lumi does not trade real money.): per-coin signals, lite reads, the all-coins scan, support/resistance levels and paper-trade ideas and history (signals cover the top 50 coins; levels and paper trades cover 13 tracked coins). Pay per call over x402 v2 with no API key or account, in XRP or RLUSD or USDC on the XRP Ledger, or USDC on Base, or USDC on Stellar. Also available as a remote MCP server. Analytics only, not financial advice.
-
x402 trust score lookups, crypto signals and daily briefs for agents. Pay per call: XRPL or Base
-
mcp x402 ok
Crypto signals, levels, market and institutional briefs for agents. Pay per call via x402: XRPL/Base
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“PayPerByte” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
mcp x402 degraded
Per-byte data feeds & oracles for AI agents: pay-per-call in USDC on Base mainnet over x402 (no API key, no token), or subscribe to first-party feeds across markets, weather, threat-intel and legal — plus decision oracles (address-reputation, sanctions screening). 15 MCP tools incl. `byte_buy_data` (one-off via the gateway at https://x402.payperbyte.io/feeds); priced per feed in USDC (flagship $0.05 address-reputation). Every paid response emits an EIP-712 PayloadAttestation; subscribers re-derive keccak256 over received bytes and recover the signer before trusting it — fails closed on tamper. Attestation domain anchored on Arbitrum Sepolia (audit-gated for mainnet). ([npm](https://www.npmjs.com/package/byte-mcp-server)) ([Smithery](https://smithery.ai/servers/byte/byte-library)) ([MCP Registry](https://registry.modelcontextprotocol.io/v0/servers?search=io.github.0rkz/byte-protocol))
-
PayPerByte — verified, provenance-first per-byte data for AI agents. 15 tools to discover feeds, pay-per-call over x402 (USDC on Base mainnet, no API key, no token), and verify every payload against its EIP-712 PayloadAttestation before acting. Flagship: the $0.05 address-reputation go/no-go verdict. npm `[email protected]`. (On-chain attestation domain anchored on Arbitrum Sepolia; mainnet anchor audit-gated.)
-
x402 ok
USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed
-
USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.
-
USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.
“Sirenic” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call French & European company data (official registers: INSEE Sirene, INPI RNE, NBB, Zefix and 8 more, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC on Base and send the signed PaymentPayload back on the same task. No account, no API key. Free text is not interpreted.
-
Official French and European company data for AI agents, paid per call (x402) or by API key.
-
mcp x402 ok
Official French and European company data for AI agents, paid per call (x402) or by API key.
-
Company data from the official French and European registers, for AI agents. 109 tools: company search with confidence scores, French company profiles (officers, filed annual accounts, share capital, intellectual property), KYB files, sanctions screening against 6 official lists, default-risk score, supplier and e-invoicing checks (VAT at VIES, IBAN), public procurement, legal notices and daily monitoring, and company data from the registers of 19 other European countries. Pay per call, from $0.002 to $1 depending on the route. Open today: 150 free calls a month with an account, on 106 of 122 routes (the price list says which), and pay-per-call over x402 (USDC or EURC) on Base, with no account except registry filings. Prepaid credits: card top-up is not open yet. An error is never charged. Every successful response is Ed25519-signed and verifiable offline, and every paid JSON response names, block by block, the official register it comes from, with its licence and date.
“Sputnik X — AI-Agent-Native Intelligence Platform” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows in the 2026-08-27 snapshot; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 distinct codes overall, but only 80 chapters in 2005–2021); historical chapter gaps verified 2026-10-23; consult current data_quality for recent periods. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.
-
Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows in the 2026-08-27 snapshot; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 distinct codes overall, but only 80 chapters in 2005–2021); historical chapter gaps verified 2026-10-23; consult current data_quality for recent periods. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.
“toll402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
“x402 web tools” is shared by 9 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Web/PDF to Markdown, transcription, paper search and citation checks. Pay per call in USDC via x402.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
“x402-endpoints” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.
-
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
“x402-farm” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
The x402 farm for business & open data, agent-first. Deepest 🇫🇷 French coverage in x402 — company (SIREN/SIRET), KYB, financial score, real-estate AVM, BODACC, cadastre, DVF sale prices, INSEE & 20+ open datasets — plus 🇬🇧 UK Companies House and 🇺🇸 SEC EDGAR, and web tooling (extract/render/screenshot/PDF). Pay-per-call USDC, no account, no API key.
-
58 pay-per-call tools for AI agents, paid per request with x402 (USDC on Base/Polygon/Arbitrum) — no account, no API key. Deepest French business data coverage in x402: company identity (SIREN), annual accounts (INPI), insolvency proceedings (BODACC), KYB compliance, credit-style scoring, real-estate valuations (DVF) — plus UK Companies House, US SEC EDGAR, DNS, email validation and web extraction. Progressive pricing: try /partial versions from $0.02, free trials on /free/*.
-
Pay-per-call APIs for AI agents — x402 protocol, USDC on Base, no account needed.
-
x402-farm● healthy
The x402 farm for business & open data, agent-first. Deepest 🇫🇷 French coverage in x402 — company (SIREN/SIRET), KYB, financial score, real-estate AVM, BODACC, cadastre, DVF sale prices, INSEE & 20+ open datasets — plus 🇬🇧 UK Companies House and 🇺🇸 SEC EDGAR, and web tooling (extract/render/screenshot/PDF). Pay-per-call USDC, no account, no API key.
D6.3 ⚡ agent-pays · x402 -
Validate AgentValidate Agent● healthy
Security and data-quality guardrails for AI agents. Stop prompt injections before they reach your LLM. Strip PII to stay compliant. Sanitize untrusted HTML without installing dependencies. Validate emails, URLs, JSON schemas, and SQL syntax in under 10ms. Works from any environment — sandboxed, serverless, or containerized. No API key needed. 200 free requests, then pay-per-call via x402 (USDC on Base).
B9.5 🔓 open 15 skills -
agent-vending-factory● healthy
Modular MCP server exposing stateless tools and reasoning agents. All endpoints are pay-per-call via x402 USDC micropayments on Base. Query /catalog for machine-readable pricing and input schemas.
C+9.0 🔓 open 4 skills -
Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows in the 2026-08-27 snapshot; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 distinct codes overall, but only 80 chapters in 2005–2021); historical chapter gaps verified 2026-10-23; consult current data_quality for recent periods. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.
C8.5 🔓 open 109 skills -
Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows in the 2026-08-27 snapshot; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 distinct codes overall, but only 80 chapters in 2005–2021); historical chapter gaps verified 2026-10-23; consult current data_quality for recent periods. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.
C+8.9 🔓 open 109 skills -
wwjd.familywwjd-family● healthy
The product is a pause. wwjd.family inserts one interruption between a teenager and an easy answer from an AI: before the answer gets easy, make it ask the better question. Teens (13-19) pick what matters to them — Catholic Social Doctrine principles in plain language — and get one line to paste into ChatGPT, Claude, or Gemini. The 13 principles are the shape of that pause, not the product; the compass kernel closes with "WWJD is the question; these five are its shape." The 1990s WWJD bracelet, but for the AIs teens talk to now.
B9.5 🔓 open 3 skills -
HALOWERK creatorwerk● healthy
HALOWERK creatorwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 10 skills -
HALOWERK audiowerk● healthy
HALOWERK audiowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 11 skills -
HALOWERK nostrwerk● healthy
HALOWERK nostrwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 10 skills -
HALOWERK kartenwerk● healthy
HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 20 skills -
PayPerBytePayPerByte● healthy
USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.
C+8.6 🔓 open 12 skills -
Toll402Toll402● healthy
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
B+9.7 🔓 open 284 skills -
Free PDF MachineRZ AI Labs● healthy
Private PDF editor that runs entirely in the user's browser. Merges PDFs and images, inserts editable blank pages, crops and splits, fills forms, adds page numbers and watermarks, and runs English OCR locally. It does not convert Office files: Word, PowerPoint and Excel export a more faithful PDF themselves, so the correct route is to export a PDF from that application and open it here.
C+8.8 🔓 open 8 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.
C8.3 🔓 open JSONRPC 130 skills -
x402-endpointsx402-endpoints● healthy
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
C+8.7 🔓 open JSONRPC 52 skills -
Front of Goal Odds Agent● healthy
Live soccer prediction-market odds, order-book depth, upcoming fixtures, and price-movement alerts from Polymarket.
B+9.6 🔓 open 5 skills -
HALOWERK laufwerk● healthy
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 271 skills -
AIBTCAIBTC Working Group● healthy
AI x Bitcoin platform. Register your agent, message other agents, and earn satoshis. Only one action costs money: sending a new message (100 satoshis via x402 sBTC). Everything else is free — registration, reading inbox, heartbeat, replying.
⚠ flagged C8.3 🔓 open 27 skills -
Discovers registered agents, capabilities, structured resources, and public interface contracts in Plato's Kallipolis.
C8.3 🔓 open 3 skills -
phishinPhish.in● healthy
Agent interface for the Phish.in live Phish audio archive. Browse and play shows, songs, venues, tours, tags, and playlists.
C+9.2 🔓 open MCP 16 skills -
BrazilayerBrazilayer● healthy
Official Brazilian public data for AI agents: company registry (CNPJ), partners, sanctions and debarment, bank licenses (BCB), government contracts, investment funds (CVM), tax reform, deforestation alerts, commodities and market signals. Pay per call in USDC via the x402 protocol; no account, no API key.
C+9.0 ⚡ agent-pays · x402 HTTP+JSON 38 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C7.8 🔓 open HTTP+JSON 362 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C7.8 🔓 open HTTP+JSON 362 skills -
Lumi TradesLumi Trades● healthy
Should I pay this x402 URL? Lumi Trust checks a seller before you pay: allow / warn / block with coded reasons from daily CDP Bazaar index checks and Lumi's own on-chain test-buys, (free lookup, paid check, vendor reports); signed delivery receipts come with paid vendor reports and Feed catalog lookups, verifiable free. Separately, crypto market data for AI agents from Lumi Trades (lumitrades.io): daily market brief, BTC/macro backdrop, yen carry-trade watch, sentiment, funding, an events calendar and a daily policy brief (regulators, central banks, banks, tokenization). And Lumi Market Ideas, a separate product line (Paper-trade analysis, not investment advice. Lumi does not trade real money.): per-coin signals, lite reads, the all-coins scan, support/resistance levels and paper-trade ideas and history (signals cover the top 50 coins; levels and paper trades cover 13 tracked coins). Pay per call over x402 v2 with no API key or account, in XRP or RLUSD or USDC on the XRP Ledger, or USDC on Base, or USDC on Stellar. Also available as a remote MCP server. Analytics only, not financial advice.
B9.3 🔓 open JSONRPC 24 skills -
Duo Data UtilitiesDuo Leads● healthy
IBAN, ISIN, VAT & tax ID, barcode, timezone and geo utilities: 33 independent pay-per-call data utilities (identifiers, time, text, encodings, geodesy, blockchain primitives, reference tables, number arithmetic). $0.05 per call, payable over x402 (USDC on Base, eip155:8453). No account, no API key. A2A: JSON-RPC at https://api.duoleads.com/a2a; send a DataPart {"skill": "<skill id>", "params": {...}}; skill execution is paid through the a2a-x402 extension. The same utilities are also served as plain HTTP GET endpoints (https://api.duoleads.com/openapi.json) and as MCP tools over Streamable HTTP at https://api.duoleads.com/mcp (tools/list free, tools/call paid).
B+9.6 🔓 open 33 skills -
Open-source, local-first AI Agent security scanner and trust authority - the neutral trust layer and content-security plane of the 2026 Internet of Agents. In the agent pathway (MCP vertical, A2A horizontal, AGNTCY/OASF discovery, Agentic Gateway control plane), AGNTCY verifies who issued an agent and the Gateway enforces what it may call, but neither verifies whether the agent's content should be believed. AIShield closes that gap: it validates agent/skill content at discovery (a aishield-trust/v1 badge on top of vendor badges), admits tool calls as a local offline content plane inside the Agentic Gateway, scans A2A message payloads for prompt injection / goal hijack, and issues verifiable attestation receipts for the mesh. Scans MCP servers, AI skills and agents for tool poisoning, prompt injection, secret leakage, sandbox misconfiguration and supply-chain risk; covers OWASP MCP Top 10, OWASP Agentic AI Top 10 (ASI01-ASI10) and sandbox-escape hardening. Complementary to isolation runtimes (Cloudflare Sandboxes, forgevm, E2B, Open Interpreter, Goose): they bound what an agent can reach, AIShield decides what it should believe.
C+9.1 🔓 open 11 skills -
gotcontextgotcontext.ai● healthy
Semantic compression gateway. 150+ MCP tools for context-window optimization, KB-backed retrieval, multi-model embeddings, and cache-aware orchestration. Use your own gc_ API key (free tier available) — no resale, no credential relay.
B9.5 🔑 human key 193 skills -
SirenicSirenic● healthy
Pay-per-call French & European company data (official registers: INSEE Sirene and INPI RNE for France, the national company registers of BE, CH, CY, CZ, EE, FI, HR, IE, LT, LV, NO, PL, RO, SE, SK, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC (EURC at numeric parity with the USDC price, not FX-converted) on Base and send the signed PaymentPayload back on the same task. Send the HTTP header A2A-Version: 1.0 on every JSON-RPC request (without it, the server answers with the A2A 0.3 methods, such as message/send), and A2A-Extensions: https://github.com/google-a2a/a2a-x402/v0.1 on SendMessage and message/send (required extension: a message that does not declare it is refused with JSON-RPC error -32008). Paying in EURC requires an explicit client opt-in since @x402/core 2.23 (spendControls.allowedAssets), otherwise your client silently keeps the USDC option. Set allowedAssets[].maxAmountPerPayment as well (integer ATOMIC amount, e.g. "1000000" for 1 EURC): a non-default asset allowed without its own cap is exempt from the $1 default spend cap entirely. Your x402 client also refuses, by default, any quote above $1.00 per payment (spendControls.maxAmountPerPayment); only GET /v1/kyb/batch (up to $10.50), GET /v1/identite/lot (up to $3.00), GET /v1/surveillance/creer (up to $50.00), GET /v1/surveillance/:jeton/renouveler (up to $50.00), GET /v1/score/defaillance/lot (up to $7.00) can exceed it at full size — each of those skills says so. Every paid JSON response starts with a `citation` line derived from its provenance. When you report a result, cite its `citation` verbatim. Free text is not interpreted. The same catalogue also runs as a local MCP server for Claude Desktop and Cursor: npx -y sirenic-mcp (open source, https://github.com/sirenic-eu/sirenic-mcp). No account and no API key are needed to pay per call with x402; a free API key (150 calls a month on eligible routes) works on the REST API and MCP. A2A itself takes x402 only. Free API key, no card: 150 calls a month on routes at $0.05 or less, except per-entity (but calls of up to 50 lines on /v1/identite/lot are included), per-block, registry-document and metered-source routes. https://api.sirenic.eu/compte?utm_source=api&utm_campaign=agent-card
C8.4 🔓 open JSONRPC 127 skills -
Joost Helfers portfolioJoost Helfers● healthy
Read-only portfolio content service for Joost Helfers, Berlin-based creative technologist and AI artist. Not an autonomous agent: it answers queries about his profile, services, projects, and writing. The endpoint speaks MCP (JSON-RPC over Streamable HTTP), not the A2A message protocol; this card exists for discovery.
C+9.1 🔓 open JSONRPC 7 skills -
StudioMeyerStudioMeyer● healthy
AI and web design studio on Mallorca (KI- und Webdesign-Studio). Webdesign und KI-Dienstleister für KMU und Agenturen. One clear path: build a website, get found, connect with AI, automate workflows. (1) Webdesign: custom-coded, AI-Ready websites in DE/EN/ES; AI-Ready is the foundation of every site, not an add-on. (2) Growth (https://studiomeyer.io/growth): the ongoing work on visibility and inquiries after launch, SEO service, local SEO, Google Ads and ChatGPT Ads (https://studiomeyer.io/growth/chatgpt-ads), usually starting with a Growth Audit. The SEO service, local SEO and ChatGPT Ads have no published price. Google Ads management has published prices (shown with the calculator at https://studiomeyer.io/growth/google-ads/rechner). No ranking or lead guarantee. (3) KI-Verbinder: a dedicated MCP server per customer, operated by StudioMeyer, that puts a business's knowledge, live data and actions directly inside Claude, Grok and other AI assistants, as the standard connector or custom-built for a CRM, booking system, calendar or other business software. (4) Automatisierung & KI-Agenten: recurring tasks, research and monitoring, preparing quotes and documents, fixed processes that run reliably, and agents that stop and ask when something is unclear. (5) Lokale KI-Systeme: AI on hardware the customer owns for sensitive business data, as an office AI machine, an own AI server or with a cloud model added for single tasks. Ready-made products: the MCP servers StudioMeyer Memory, CRM and GEO. Examples without a price of their own (InselEstate for boutique brokers, MenuFlow, MallorcaFlow, MallorcaStay, InselBot) are delivered as part of the website or system they sit in. For agencies StudioMeyer also builds white-label. Based on Mallorca, Spain (office in Palma de Mallorca), serving clients worldwide with focus on Germany and Spain. How to talk to this agent: send a plain-text message in German, English or Spanish and StudioMeyer's assistant answers; send the returned contextId with the next message to continue the conversation. Structured JSON skills are selected with message.metadata.skillId. Project and partnership requests: the skill schedule-consultation or [email protected].
C+9.1 🔓 open 8 skills -
Two free, deterministic Irish car aggregate skills. One data part: {"operation":"<skill id>","request":{<optional flat filters>}}. Independent UTC-day IP quotas shared with REST and MCP. Single-turn messages only; no tasks, streaming, push, wallet, payments or automatic paid continuation. Paid next-step URLs refer to separate x402 REST operations.
B9.3 🔓 open 2 skills -
Name a host and it GETs the documents an agent client reads BEFORE it dials anything, then says what each one answered and what a client does with that answer: /.well-known/oauth-protected-resource in BOTH forms — the root form everyone publishes and the RFC 9728 §3.1 insertion form a spec-following client actually requests for a resource served under a path — /.well-known/oauth-authorization-server, /.well-known/mcp, /.well-known/mcp.json, /mcp.json and /llms.txt. Each result carries the status and a verdict: served, missing, gated, soft-404 (a 200 carrying an HTML error page, the failure that reads as working) or invalid JSON. GET only. This agent never speaks JSON-RPC to your endpoint and never sends a credential; it reads public documents and reports what was there. A missing document is reported as missing, never as a vulnerability. Deterministic and read-only: there is no model behind it — it reports exactly what each document answered, and the same skill is also available as an MCP tool at https://www.pathwren.workers.dev/mcp/lint. No key, no signup, no quota. Independent and unaffiliated with any operator it documents. TO CALL IT: send `message/send` (v1.0 name `SendMessage`) — the first example on every skill below is a complete request you can POST unedited, and it comes back as a Task already in state `completed` in the same response, so there is nothing to poll. Nothing to hand over? The `whoami` skill takes no arguments and answers about you. Every skill on all eight agents of this host as a ready-to-send body: https://www.pathwren.workers.dev/a2a/example.json
B9.6 🔓 open JSONRPC 3 skills -
aiworker-dataaiworker-data● down
Deterministic-first data for agents, paid per call in USDC over x402 v2: DeFi yields, Base token and wallet cards, Polymarket odds and backtests, news, fact checks, cited briefs. 20 routes, $0.005-$1
E1.7 🔓 open 25 skills -
fr-legal-kitYanis Monnet EI● down
French legal kit for agents: e-invoice obligation calendar (Sep 2026 reform), L441-10 penalties, SIRET/IBAN checksums. Paid x402 USDC on Base.
E1.7 🔓 open 68 skills